17c478bd9Sstevel@tonic-gate#! /bin/bash
27c478bd9Sstevel@tonic-gate# Generated by configure.
37c478bd9Sstevel@tonic-gate# Run this file to recreate the current configuration.
47c478bd9Sstevel@tonic-gate# Compiler output produced by configure, useful for debugging
57c478bd9Sstevel@tonic-gate# configure, is in config.log if it exists.
67c478bd9Sstevel@tonic-gate
77c478bd9Sstevel@tonic-gatedebug=false
87c478bd9Sstevel@tonic-gateac_cs_recheck=false
97c478bd9Sstevel@tonic-gateac_cs_silent=false
107c478bd9Sstevel@tonic-gateSHELL=${CONFIG_SHELL-/bin/bash}
117c478bd9Sstevel@tonic-gate## --------------------- ##
127c478bd9Sstevel@tonic-gate## M4sh Initialization.  ##
137c478bd9Sstevel@tonic-gate## --------------------- ##
147c478bd9Sstevel@tonic-gate
157c478bd9Sstevel@tonic-gate# Be Bourne compatible
167c478bd9Sstevel@tonic-gateif test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
177c478bd9Sstevel@tonic-gate  emulate sh
187c478bd9Sstevel@tonic-gate  NULLCMD=:
197c478bd9Sstevel@tonic-gate  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
207c478bd9Sstevel@tonic-gate  # is contrary to our usage.  Disable this feature.
217c478bd9Sstevel@tonic-gate  alias -g '${1+"$@"}'='"$@"'
227c478bd9Sstevel@tonic-gateelif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
237c478bd9Sstevel@tonic-gate  set -o posix
247c478bd9Sstevel@tonic-gatefi
257c478bd9Sstevel@tonic-gateDUALCASE=1; export DUALCASE # for MKS sh
267c478bd9Sstevel@tonic-gate
277c478bd9Sstevel@tonic-gate# Support unset when possible.
287c478bd9Sstevel@tonic-gateif ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
297c478bd9Sstevel@tonic-gate  as_unset=unset
307c478bd9Sstevel@tonic-gateelse
317c478bd9Sstevel@tonic-gate  as_unset=false
327c478bd9Sstevel@tonic-gatefi
337c478bd9Sstevel@tonic-gate
347c478bd9Sstevel@tonic-gate
357c478bd9Sstevel@tonic-gate# Work around bugs in pre-3.0 UWIN ksh.
367c478bd9Sstevel@tonic-gate$as_unset ENV MAIL MAILPATH
377c478bd9Sstevel@tonic-gatePS1='$ '
387c478bd9Sstevel@tonic-gatePS2='> '
397c478bd9Sstevel@tonic-gatePS4='+ '
407c478bd9Sstevel@tonic-gate
417c478bd9Sstevel@tonic-gate# NLS nuisances.
427c478bd9Sstevel@tonic-gatefor as_var in \
437c478bd9Sstevel@tonic-gate  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
447c478bd9Sstevel@tonic-gate  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
457c478bd9Sstevel@tonic-gate  LC_TELEPHONE LC_TIME
467c478bd9Sstevel@tonic-gatedo
477c478bd9Sstevel@tonic-gate  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
487c478bd9Sstevel@tonic-gate    eval $as_var=C; export $as_var
497c478bd9Sstevel@tonic-gate  else
507c478bd9Sstevel@tonic-gate    $as_unset $as_var
517c478bd9Sstevel@tonic-gate  fi
527c478bd9Sstevel@tonic-gatedone
537c478bd9Sstevel@tonic-gate
547c478bd9Sstevel@tonic-gate# Required to use basename.
557c478bd9Sstevel@tonic-gateif expr a : '\(a\)' >/dev/null 2>&1; then
567c478bd9Sstevel@tonic-gate  as_expr=expr
577c478bd9Sstevel@tonic-gateelse
587c478bd9Sstevel@tonic-gate  as_expr=false
597c478bd9Sstevel@tonic-gatefi
607c478bd9Sstevel@tonic-gate
617c478bd9Sstevel@tonic-gateif (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
627c478bd9Sstevel@tonic-gate  as_basename=basename
637c478bd9Sstevel@tonic-gateelse
647c478bd9Sstevel@tonic-gate  as_basename=false
657c478bd9Sstevel@tonic-gatefi
667c478bd9Sstevel@tonic-gate
677c478bd9Sstevel@tonic-gate
687c478bd9Sstevel@tonic-gate# Name of the executable.
697c478bd9Sstevel@tonic-gateas_me=`$as_basename "$0" ||
707c478bd9Sstevel@tonic-gate$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
717c478bd9Sstevel@tonic-gate	 X"$0" : 'X\(//\)$' \| \
727c478bd9Sstevel@tonic-gate	 X"$0" : 'X\(/\)$' \| \
737c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
747c478bd9Sstevel@tonic-gateecho X/"$0" |
757c478bd9Sstevel@tonic-gate    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
767c478bd9Sstevel@tonic-gate  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
777c478bd9Sstevel@tonic-gate  	  /^X\/\(\/\).*/{ s//\1/; q; }
787c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
797c478bd9Sstevel@tonic-gate
807c478bd9Sstevel@tonic-gate
817c478bd9Sstevel@tonic-gate# PATH needs CR, and LINENO needs CR and PATH.
827c478bd9Sstevel@tonic-gate# Avoid depending upon Character Ranges.
837c478bd9Sstevel@tonic-gateas_cr_letters='abcdefghijklmnopqrstuvwxyz'
847c478bd9Sstevel@tonic-gateas_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
857c478bd9Sstevel@tonic-gateas_cr_Letters=$as_cr_letters$as_cr_LETTERS
867c478bd9Sstevel@tonic-gateas_cr_digits='0123456789'
877c478bd9Sstevel@tonic-gateas_cr_alnum=$as_cr_Letters$as_cr_digits
887c478bd9Sstevel@tonic-gate
897c478bd9Sstevel@tonic-gate# The user is always right.
907c478bd9Sstevel@tonic-gateif test "${PATH_SEPARATOR+set}" != set; then
917c478bd9Sstevel@tonic-gate  echo "#! /bin/sh" >conf$$.sh
927c478bd9Sstevel@tonic-gate  echo  "exit 0"   >>conf$$.sh
937c478bd9Sstevel@tonic-gate  chmod +x conf$$.sh
947c478bd9Sstevel@tonic-gate  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
957c478bd9Sstevel@tonic-gate    PATH_SEPARATOR=';'
967c478bd9Sstevel@tonic-gate  else
977c478bd9Sstevel@tonic-gate    PATH_SEPARATOR=:
987c478bd9Sstevel@tonic-gate  fi
997c478bd9Sstevel@tonic-gate  rm -f conf$$.sh
1007c478bd9Sstevel@tonic-gatefi
1017c478bd9Sstevel@tonic-gate
1027c478bd9Sstevel@tonic-gate
1037c478bd9Sstevel@tonic-gate  as_lineno_1=$LINENO
1047c478bd9Sstevel@tonic-gate  as_lineno_2=$LINENO
1057c478bd9Sstevel@tonic-gate  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1067c478bd9Sstevel@tonic-gate  test "x$as_lineno_1" != "x$as_lineno_2" &&
1077c478bd9Sstevel@tonic-gate  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
1087c478bd9Sstevel@tonic-gate  # Find who we are.  Look in the path if we contain no path at all
1097c478bd9Sstevel@tonic-gate  # relative or not.
1107c478bd9Sstevel@tonic-gate  case $0 in
1117c478bd9Sstevel@tonic-gate    *[\\/]* ) as_myself=$0 ;;
1127c478bd9Sstevel@tonic-gate    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1137c478bd9Sstevel@tonic-gatefor as_dir in $PATH
1147c478bd9Sstevel@tonic-gatedo
1157c478bd9Sstevel@tonic-gate  IFS=$as_save_IFS
1167c478bd9Sstevel@tonic-gate  test -z "$as_dir" && as_dir=.
1177c478bd9Sstevel@tonic-gate  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
1187c478bd9Sstevel@tonic-gatedone
1197c478bd9Sstevel@tonic-gate
1207c478bd9Sstevel@tonic-gate       ;;
1217c478bd9Sstevel@tonic-gate  esac
1227c478bd9Sstevel@tonic-gate  # We did not find ourselves, most probably we were run as `sh COMMAND'
1237c478bd9Sstevel@tonic-gate  # in which case we are not to be found in the path.
1247c478bd9Sstevel@tonic-gate  if test "x$as_myself" = x; then
1257c478bd9Sstevel@tonic-gate    as_myself=$0
1267c478bd9Sstevel@tonic-gate  fi
1277c478bd9Sstevel@tonic-gate  if test ! -f "$as_myself"; then
1287c478bd9Sstevel@tonic-gate    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
1297c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
1307c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }
1317c478bd9Sstevel@tonic-gate  fi
1327c478bd9Sstevel@tonic-gate  case $CONFIG_SHELL in
1337c478bd9Sstevel@tonic-gate  '')
1347c478bd9Sstevel@tonic-gate    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1357c478bd9Sstevel@tonic-gatefor as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
1367c478bd9Sstevel@tonic-gatedo
1377c478bd9Sstevel@tonic-gate  IFS=$as_save_IFS
1387c478bd9Sstevel@tonic-gate  test -z "$as_dir" && as_dir=.
1397c478bd9Sstevel@tonic-gate  for as_base in sh bash ksh sh5; do
1407c478bd9Sstevel@tonic-gate	 case $as_dir in
1417c478bd9Sstevel@tonic-gate	 /*)
1427c478bd9Sstevel@tonic-gate	   if ("$as_dir/$as_base" -c '
1437c478bd9Sstevel@tonic-gate  as_lineno_1=$LINENO
1447c478bd9Sstevel@tonic-gate  as_lineno_2=$LINENO
1457c478bd9Sstevel@tonic-gate  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1467c478bd9Sstevel@tonic-gate  test "x$as_lineno_1" != "x$as_lineno_2" &&
1477c478bd9Sstevel@tonic-gate  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
1487c478bd9Sstevel@tonic-gate	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
1497c478bd9Sstevel@tonic-gate	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
1507c478bd9Sstevel@tonic-gate	     CONFIG_SHELL=$as_dir/$as_base
1517c478bd9Sstevel@tonic-gate	     export CONFIG_SHELL
1527c478bd9Sstevel@tonic-gate	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
1537c478bd9Sstevel@tonic-gate	   fi;;
1547c478bd9Sstevel@tonic-gate	 esac
1557c478bd9Sstevel@tonic-gate       done
1567c478bd9Sstevel@tonic-gatedone
1577c478bd9Sstevel@tonic-gate;;
1587c478bd9Sstevel@tonic-gate  esac
1597c478bd9Sstevel@tonic-gate
1607c478bd9Sstevel@tonic-gate  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
1617c478bd9Sstevel@tonic-gate  # uniformly replaced by the line number.  The first 'sed' inserts a
1627c478bd9Sstevel@tonic-gate  # line-number line before each line; the second 'sed' does the real
1637c478bd9Sstevel@tonic-gate  # work.  The second script uses 'N' to pair each line-number line
1647c478bd9Sstevel@tonic-gate  # with the numbered line, and appends trailing '-' during
1657c478bd9Sstevel@tonic-gate  # substitution so that $LINENO is not a special case at line end.
1667c478bd9Sstevel@tonic-gate  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
1677c478bd9Sstevel@tonic-gate  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
1687c478bd9Sstevel@tonic-gate  sed '=' <$as_myself |
1697c478bd9Sstevel@tonic-gate    sed '
1707c478bd9Sstevel@tonic-gate      N
1717c478bd9Sstevel@tonic-gate      s,$,-,
1727c478bd9Sstevel@tonic-gate      : loop
1737c478bd9Sstevel@tonic-gate      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
1747c478bd9Sstevel@tonic-gate      t loop
1757c478bd9Sstevel@tonic-gate      s,-$,,
1767c478bd9Sstevel@tonic-gate      s,^['$as_cr_digits']*\n,,
1777c478bd9Sstevel@tonic-gate    ' >$as_me.lineno &&
1787c478bd9Sstevel@tonic-gate  chmod +x $as_me.lineno ||
1797c478bd9Sstevel@tonic-gate    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
1807c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
1817c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }
1827c478bd9Sstevel@tonic-gate
1837c478bd9Sstevel@tonic-gate  # Don't try to exec as it changes $[0], causing all sort of problems
1847c478bd9Sstevel@tonic-gate  # (the dirname of $[0] is not the place where we might find the
1857c478bd9Sstevel@tonic-gate  # original and so on.  Autoconf is especially sensible to this).
1867c478bd9Sstevel@tonic-gate  . ./$as_me.lineno
1877c478bd9Sstevel@tonic-gate  # Exit status is that of the last command.
1887c478bd9Sstevel@tonic-gate  exit
1897c478bd9Sstevel@tonic-gate}
1907c478bd9Sstevel@tonic-gate
1917c478bd9Sstevel@tonic-gate
1927c478bd9Sstevel@tonic-gatecase `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
1937c478bd9Sstevel@tonic-gate  *c*,-n*) ECHO_N= ECHO_C='
1947c478bd9Sstevel@tonic-gate' ECHO_T='	' ;;
1957c478bd9Sstevel@tonic-gate  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
1967c478bd9Sstevel@tonic-gate  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
1977c478bd9Sstevel@tonic-gateesac
1987c478bd9Sstevel@tonic-gate
1997c478bd9Sstevel@tonic-gateif expr a : '\(a\)' >/dev/null 2>&1; then
2007c478bd9Sstevel@tonic-gate  as_expr=expr
2017c478bd9Sstevel@tonic-gateelse
2027c478bd9Sstevel@tonic-gate  as_expr=false
2037c478bd9Sstevel@tonic-gatefi
2047c478bd9Sstevel@tonic-gate
2057c478bd9Sstevel@tonic-gaterm -f conf$$ conf$$.exe conf$$.file
2067c478bd9Sstevel@tonic-gateecho >conf$$.file
2077c478bd9Sstevel@tonic-gateif ln -s conf$$.file conf$$ 2>/dev/null; then
2087c478bd9Sstevel@tonic-gate  # We could just check for DJGPP; but this test a) works b) is more generic
2097c478bd9Sstevel@tonic-gate  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
2107c478bd9Sstevel@tonic-gate  if test -f conf$$.exe; then
2117c478bd9Sstevel@tonic-gate    # Don't use ln at all; we don't have any links
2127c478bd9Sstevel@tonic-gate    as_ln_s='cp -p'
2137c478bd9Sstevel@tonic-gate  else
2147c478bd9Sstevel@tonic-gate    as_ln_s='ln -s'
2157c478bd9Sstevel@tonic-gate  fi
2167c478bd9Sstevel@tonic-gateelif ln conf$$.file conf$$ 2>/dev/null; then
2177c478bd9Sstevel@tonic-gate  as_ln_s=ln
2187c478bd9Sstevel@tonic-gateelse
2197c478bd9Sstevel@tonic-gate  as_ln_s='cp -p'
2207c478bd9Sstevel@tonic-gatefi
2217c478bd9Sstevel@tonic-gaterm -f conf$$ conf$$.exe conf$$.file
2227c478bd9Sstevel@tonic-gate
2237c478bd9Sstevel@tonic-gateif mkdir -p . 2>/dev/null; then
2247c478bd9Sstevel@tonic-gate  as_mkdir_p=:
2257c478bd9Sstevel@tonic-gateelse
2267c478bd9Sstevel@tonic-gate  test -d ./-p && rmdir ./-p
2277c478bd9Sstevel@tonic-gate  as_mkdir_p=false
2287c478bd9Sstevel@tonic-gatefi
2297c478bd9Sstevel@tonic-gate
2307c478bd9Sstevel@tonic-gateas_executable_p="test -f"
2317c478bd9Sstevel@tonic-gate
2327c478bd9Sstevel@tonic-gate# Sed expression to map a string onto a valid CPP name.
2337c478bd9Sstevel@tonic-gateas_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
2347c478bd9Sstevel@tonic-gate
2357c478bd9Sstevel@tonic-gate# Sed expression to map a string onto a valid variable name.
2367c478bd9Sstevel@tonic-gateas_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
2377c478bd9Sstevel@tonic-gate
2387c478bd9Sstevel@tonic-gate
2397c478bd9Sstevel@tonic-gate# IFS
2407c478bd9Sstevel@tonic-gate# We need space, tab and new line, in precisely that order.
2417c478bd9Sstevel@tonic-gateas_nl='
2427c478bd9Sstevel@tonic-gate'
2437c478bd9Sstevel@tonic-gateIFS=" 	$as_nl"
2447c478bd9Sstevel@tonic-gate
2457c478bd9Sstevel@tonic-gate# CDPATH.
2467c478bd9Sstevel@tonic-gate$as_unset CDPATH
2477c478bd9Sstevel@tonic-gate
2487c478bd9Sstevel@tonic-gateexec 6>&1
2497c478bd9Sstevel@tonic-gate
2507c478bd9Sstevel@tonic-gate# Open the log real soon, to keep \$[0] and so on meaningful, and to
2517c478bd9Sstevel@tonic-gate# report actual input values of CONFIG_FILES etc. instead of their
2527c478bd9Sstevel@tonic-gate# values after options handling.  Logging --version etc. is OK.
2537c478bd9Sstevel@tonic-gateexec 5>>config.log
2547c478bd9Sstevel@tonic-gate{
2557c478bd9Sstevel@tonic-gate  echo
2567c478bd9Sstevel@tonic-gate  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
2577c478bd9Sstevel@tonic-gate## Running $as_me. ##
2587c478bd9Sstevel@tonic-gate_ASBOX
2597c478bd9Sstevel@tonic-gate} >&5
2607c478bd9Sstevel@tonic-gatecat >&5 <<_CSEOF
2617c478bd9Sstevel@tonic-gate
2627c478bd9Sstevel@tonic-gateThis file was extended by GRUB $as_me 0.95, which was
2637c478bd9Sstevel@tonic-gategenerated by GNU Autoconf 2.59.  Invocation command line was
2647c478bd9Sstevel@tonic-gate
2657c478bd9Sstevel@tonic-gate  CONFIG_FILES    = $CONFIG_FILES
2667c478bd9Sstevel@tonic-gate  CONFIG_HEADERS  = $CONFIG_HEADERS
2677c478bd9Sstevel@tonic-gate  CONFIG_LINKS    = $CONFIG_LINKS
2687c478bd9Sstevel@tonic-gate  CONFIG_COMMANDS = $CONFIG_COMMANDS
2697c478bd9Sstevel@tonic-gate  $ $0 $@
2707c478bd9Sstevel@tonic-gate
2717c478bd9Sstevel@tonic-gate_CSEOF
2727c478bd9Sstevel@tonic-gateecho "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
2737c478bd9Sstevel@tonic-gateecho >&5
2747c478bd9Sstevel@tonic-gateconfig_files=" Makefile stage1/Makefile stage2/Makefile docs/Makefile lib/Makefile util/Makefile grub/Makefile netboot/Makefile util/grub-image util/grub-install util/grub-md5-crypt util/grub-terminfo util/grub-set-default"
2757c478bd9Sstevel@tonic-gateconfig_headers=" config.h"
2767c478bd9Sstevel@tonic-gateconfig_commands=" depfiles"
2777c478bd9Sstevel@tonic-gate
2787c478bd9Sstevel@tonic-gateac_cs_usage="\
2797c478bd9Sstevel@tonic-gate\`$as_me' instantiates files from templates according to the
2807c478bd9Sstevel@tonic-gatecurrent configuration.
2817c478bd9Sstevel@tonic-gate
2827c478bd9Sstevel@tonic-gateUsage: $0 [OPTIONS] [FILE]...
2837c478bd9Sstevel@tonic-gate
2847c478bd9Sstevel@tonic-gate  -h, --help       print this help, then exit
2857c478bd9Sstevel@tonic-gate  -V, --version    print version number, then exit
2867c478bd9Sstevel@tonic-gate  -q, --quiet      do not print progress messages
2877c478bd9Sstevel@tonic-gate  -d, --debug      don't remove temporary files
2887c478bd9Sstevel@tonic-gate      --recheck    update $as_me by reconfiguring in the same conditions
2897c478bd9Sstevel@tonic-gate  --file=FILE[:TEMPLATE]
2907c478bd9Sstevel@tonic-gate		   instantiate the configuration file FILE
2917c478bd9Sstevel@tonic-gate  --header=FILE[:TEMPLATE]
2927c478bd9Sstevel@tonic-gate		   instantiate the configuration header FILE
2937c478bd9Sstevel@tonic-gate
2947c478bd9Sstevel@tonic-gateConfiguration files:
2957c478bd9Sstevel@tonic-gate$config_files
2967c478bd9Sstevel@tonic-gate
2977c478bd9Sstevel@tonic-gateConfiguration headers:
2987c478bd9Sstevel@tonic-gate$config_headers
2997c478bd9Sstevel@tonic-gate
3007c478bd9Sstevel@tonic-gateConfiguration commands:
3017c478bd9Sstevel@tonic-gate$config_commands
3027c478bd9Sstevel@tonic-gate
3037c478bd9Sstevel@tonic-gateReport bugs to <bug-autoconf@gnu.org>."
3047c478bd9Sstevel@tonic-gateac_cs_version="\
3057c478bd9Sstevel@tonic-gateGRUB config.status 0.95
3067c478bd9Sstevel@tonic-gateconfigured by ./configure, generated by GNU Autoconf 2.59,
3077c478bd9Sstevel@tonic-gate  with options \"'--prefix=/platform/i86pc/boot/grub' '--with-binutils=/opt/grubbld/bin' '--disable-dependency-tracking' 'CC=/opt/grubbld/bin/gcc'\"
3087c478bd9Sstevel@tonic-gate
3097c478bd9Sstevel@tonic-gateCopyright (C) 2003 Free Software Foundation, Inc.
3107c478bd9Sstevel@tonic-gateThis config.status script is free software; the Free Software Foundation
3117c478bd9Sstevel@tonic-gategives unlimited permission to copy, distribute and modify it."
3127c478bd9Sstevel@tonic-gatesrcdir=.
3137c478bd9Sstevel@tonic-gateINSTALL="/usr/ucb/install"
3147c478bd9Sstevel@tonic-gate# If no file are specified by the user, then we need to provide default
3157c478bd9Sstevel@tonic-gate# value.  By we need to know if files were specified by the user.
3167c478bd9Sstevel@tonic-gateac_need_defaults=:
3177c478bd9Sstevel@tonic-gatewhile test $# != 0
3187c478bd9Sstevel@tonic-gatedo
3197c478bd9Sstevel@tonic-gate  case $1 in
3207c478bd9Sstevel@tonic-gate  --*=*)
3217c478bd9Sstevel@tonic-gate    ac_option=`expr "x$1" : 'x\([^=]*\)='`
3227c478bd9Sstevel@tonic-gate    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
3237c478bd9Sstevel@tonic-gate    ac_shift=:
3247c478bd9Sstevel@tonic-gate    ;;
3257c478bd9Sstevel@tonic-gate  -*)
3267c478bd9Sstevel@tonic-gate    ac_option=$1
3277c478bd9Sstevel@tonic-gate    ac_optarg=$2
3287c478bd9Sstevel@tonic-gate    ac_shift=shift
3297c478bd9Sstevel@tonic-gate    ;;
3307c478bd9Sstevel@tonic-gate  *) # This is not an option, so the user has probably given explicit
3317c478bd9Sstevel@tonic-gate     # arguments.
3327c478bd9Sstevel@tonic-gate     ac_option=$1
3337c478bd9Sstevel@tonic-gate     ac_need_defaults=false;;
3347c478bd9Sstevel@tonic-gate  esac
3357c478bd9Sstevel@tonic-gate
3367c478bd9Sstevel@tonic-gate  case $ac_option in
3377c478bd9Sstevel@tonic-gate  # Handling of the options.
3387c478bd9Sstevel@tonic-gate  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
3397c478bd9Sstevel@tonic-gate    ac_cs_recheck=: ;;
3407c478bd9Sstevel@tonic-gate  --version | --vers* | -V )
3417c478bd9Sstevel@tonic-gate    echo "$ac_cs_version"; exit 0 ;;
3427c478bd9Sstevel@tonic-gate  --he | --h)
3437c478bd9Sstevel@tonic-gate    # Conflict between --help and --header
3447c478bd9Sstevel@tonic-gate    { { echo "$as_me:$LINENO: error: ambiguous option: $1
3457c478bd9Sstevel@tonic-gateTry \`$0 --help' for more information." >&5
3467c478bd9Sstevel@tonic-gateecho "$as_me: error: ambiguous option: $1
3477c478bd9Sstevel@tonic-gateTry \`$0 --help' for more information." >&2;}
3487c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; };;
3497c478bd9Sstevel@tonic-gate  --help | --hel | -h )
3507c478bd9Sstevel@tonic-gate    echo "$ac_cs_usage"; exit 0 ;;
3517c478bd9Sstevel@tonic-gate  --debug | --d* | -d )
3527c478bd9Sstevel@tonic-gate    debug=: ;;
3537c478bd9Sstevel@tonic-gate  --file | --fil | --fi | --f )
3547c478bd9Sstevel@tonic-gate    $ac_shift
3557c478bd9Sstevel@tonic-gate    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
3567c478bd9Sstevel@tonic-gate    ac_need_defaults=false;;
3577c478bd9Sstevel@tonic-gate  --header | --heade | --head | --hea )
3587c478bd9Sstevel@tonic-gate    $ac_shift
3597c478bd9Sstevel@tonic-gate    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
3607c478bd9Sstevel@tonic-gate    ac_need_defaults=false;;
3617c478bd9Sstevel@tonic-gate  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
3627c478bd9Sstevel@tonic-gate  | -silent | --silent | --silen | --sile | --sil | --si | --s)
3637c478bd9Sstevel@tonic-gate    ac_cs_silent=: ;;
3647c478bd9Sstevel@tonic-gate
3657c478bd9Sstevel@tonic-gate  # This is an error.
3667c478bd9Sstevel@tonic-gate  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
3677c478bd9Sstevel@tonic-gateTry \`$0 --help' for more information." >&5
3687c478bd9Sstevel@tonic-gateecho "$as_me: error: unrecognized option: $1
3697c478bd9Sstevel@tonic-gateTry \`$0 --help' for more information." >&2;}
3707c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; } ;;
3717c478bd9Sstevel@tonic-gate
3727c478bd9Sstevel@tonic-gate  *) ac_config_targets="$ac_config_targets $1" ;;
3737c478bd9Sstevel@tonic-gate
3747c478bd9Sstevel@tonic-gate  esac
3757c478bd9Sstevel@tonic-gate  shift
3767c478bd9Sstevel@tonic-gatedone
3777c478bd9Sstevel@tonic-gate
3787c478bd9Sstevel@tonic-gateac_configure_extra_args=
3797c478bd9Sstevel@tonic-gate
3807c478bd9Sstevel@tonic-gateif $ac_cs_silent; then
3817c478bd9Sstevel@tonic-gate  exec 6>/dev/null
3827c478bd9Sstevel@tonic-gate  ac_configure_extra_args="$ac_configure_extra_args --silent"
3837c478bd9Sstevel@tonic-gatefi
3847c478bd9Sstevel@tonic-gate
3857c478bd9Sstevel@tonic-gateif $ac_cs_recheck; then
3867c478bd9Sstevel@tonic-gate  echo "running /bin/bash ./configure " '--prefix=/platform/i86pc/boot/grub' '--with-binutils=/opt/grubbld/bin' '--disable-dependency-tracking' 'CC=/opt/grubbld/bin/gcc' $ac_configure_extra_args " --no-create --no-recursion" >&6
3877c478bd9Sstevel@tonic-gate  exec /bin/bash ./configure '--prefix=/platform/i86pc/boot/grub' '--with-binutils=/opt/grubbld/bin' '--disable-dependency-tracking' 'CC=/opt/grubbld/bin/gcc' $ac_configure_extra_args --no-create --no-recursion
3887c478bd9Sstevel@tonic-gatefi
3897c478bd9Sstevel@tonic-gate
3907c478bd9Sstevel@tonic-gate#
3917c478bd9Sstevel@tonic-gate# INIT-COMMANDS section.
3927c478bd9Sstevel@tonic-gate#
3937c478bd9Sstevel@tonic-gate
3947c478bd9Sstevel@tonic-gateAMDEP_TRUE="#" ac_aux_dir="."
3957c478bd9Sstevel@tonic-gate
3967c478bd9Sstevel@tonic-gatefor ac_config_target in $ac_config_targets
3977c478bd9Sstevel@tonic-gatedo
3987c478bd9Sstevel@tonic-gate  case "$ac_config_target" in
3997c478bd9Sstevel@tonic-gate  # Handling of arguments.
4007c478bd9Sstevel@tonic-gate  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
4017c478bd9Sstevel@tonic-gate  "stage1/Makefile" ) CONFIG_FILES="$CONFIG_FILES stage1/Makefile" ;;
4027c478bd9Sstevel@tonic-gate  "stage2/Makefile" ) CONFIG_FILES="$CONFIG_FILES stage2/Makefile" ;;
4037c478bd9Sstevel@tonic-gate  "docs/Makefile" ) CONFIG_FILES="$CONFIG_FILES docs/Makefile" ;;
4047c478bd9Sstevel@tonic-gate  "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
4057c478bd9Sstevel@tonic-gate  "util/Makefile" ) CONFIG_FILES="$CONFIG_FILES util/Makefile" ;;
4067c478bd9Sstevel@tonic-gate  "grub/Makefile" ) CONFIG_FILES="$CONFIG_FILES grub/Makefile" ;;
4077c478bd9Sstevel@tonic-gate  "netboot/Makefile" ) CONFIG_FILES="$CONFIG_FILES netboot/Makefile" ;;
4087c478bd9Sstevel@tonic-gate  "util/grub-image" ) CONFIG_FILES="$CONFIG_FILES util/grub-image" ;;
4097c478bd9Sstevel@tonic-gate  "util/grub-install" ) CONFIG_FILES="$CONFIG_FILES util/grub-install" ;;
4107c478bd9Sstevel@tonic-gate  "util/grub-md5-crypt" ) CONFIG_FILES="$CONFIG_FILES util/grub-md5-crypt" ;;
4117c478bd9Sstevel@tonic-gate  "util/grub-terminfo" ) CONFIG_FILES="$CONFIG_FILES util/grub-terminfo" ;;
4127c478bd9Sstevel@tonic-gate  "util/grub-set-default" ) CONFIG_FILES="$CONFIG_FILES util/grub-set-default" ;;
4137c478bd9Sstevel@tonic-gate  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
4147c478bd9Sstevel@tonic-gate  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
4157c478bd9Sstevel@tonic-gate  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
4167c478bd9Sstevel@tonic-gateecho "$as_me: error: invalid argument: $ac_config_target" >&2;}
4177c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; };;
4187c478bd9Sstevel@tonic-gate  esac
4197c478bd9Sstevel@tonic-gatedone
4207c478bd9Sstevel@tonic-gate
4217c478bd9Sstevel@tonic-gate# If the user did not use the arguments to specify the items to instantiate,
4227c478bd9Sstevel@tonic-gate# then the envvar interface is used.  Set only those that are not.
4237c478bd9Sstevel@tonic-gate# We use the long form for the default assignment because of an extremely
4247c478bd9Sstevel@tonic-gate# bizarre bug on SunOS 4.1.3.
4257c478bd9Sstevel@tonic-gateif $ac_need_defaults; then
4267c478bd9Sstevel@tonic-gate  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
4277c478bd9Sstevel@tonic-gate  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
4287c478bd9Sstevel@tonic-gate  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
4297c478bd9Sstevel@tonic-gatefi
4307c478bd9Sstevel@tonic-gate
4317c478bd9Sstevel@tonic-gate# Have a temporary directory for convenience.  Make it in the build tree
4327c478bd9Sstevel@tonic-gate# simply because there is no reason to put it here, and in addition,
4337c478bd9Sstevel@tonic-gate# creating and moving files from /tmp can sometimes cause problems.
4347c478bd9Sstevel@tonic-gate# Create a temporary directory, and hook for its removal unless debugging.
4357c478bd9Sstevel@tonic-gate$debug ||
4367c478bd9Sstevel@tonic-gate{
4377c478bd9Sstevel@tonic-gate  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
4387c478bd9Sstevel@tonic-gate  trap '{ (exit 1); exit 1; }' 1 2 13 15
4397c478bd9Sstevel@tonic-gate}
4407c478bd9Sstevel@tonic-gate
4417c478bd9Sstevel@tonic-gate# Create a (secure) tmp directory for tmp files.
4427c478bd9Sstevel@tonic-gate
4437c478bd9Sstevel@tonic-gate{
4447c478bd9Sstevel@tonic-gate  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
4457c478bd9Sstevel@tonic-gate  test -n "$tmp" && test -d "$tmp"
4467c478bd9Sstevel@tonic-gate}  ||
4477c478bd9Sstevel@tonic-gate{
4487c478bd9Sstevel@tonic-gate  tmp=./confstat$$-$RANDOM
4497c478bd9Sstevel@tonic-gate  (umask 077 && mkdir $tmp)
4507c478bd9Sstevel@tonic-gate} ||
4517c478bd9Sstevel@tonic-gate{
4527c478bd9Sstevel@tonic-gate   echo "$me: cannot create a temporary directory in ." >&2
4537c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }
4547c478bd9Sstevel@tonic-gate}
4557c478bd9Sstevel@tonic-gate
4567c478bd9Sstevel@tonic-gate
4577c478bd9Sstevel@tonic-gate#
4587c478bd9Sstevel@tonic-gate# CONFIG_FILES section.
4597c478bd9Sstevel@tonic-gate#
4607c478bd9Sstevel@tonic-gate
4617c478bd9Sstevel@tonic-gate# No need to generate the scripts if there are no CONFIG_FILES.
4627c478bd9Sstevel@tonic-gate# This happens for instance when ./config.status config.h
4637c478bd9Sstevel@tonic-gateif test -n "$CONFIG_FILES"; then
4647c478bd9Sstevel@tonic-gate  # Protect against being on the right side of a sed subst in config.status.
4657c478bd9Sstevel@tonic-gate  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
4667c478bd9Sstevel@tonic-gate   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
4677c478bd9Sstevel@tonic-gates,@SHELL@,/bin/bash,;t t
4687c478bd9Sstevel@tonic-gates,@PATH_SEPARATOR@,:,;t t
4697c478bd9Sstevel@tonic-gates,@PACKAGE_NAME@,GRUB,;t t
4707c478bd9Sstevel@tonic-gates,@PACKAGE_TARNAME@,grub,;t t
4717c478bd9Sstevel@tonic-gates,@PACKAGE_VERSION@,0.95,;t t
4727c478bd9Sstevel@tonic-gates,@PACKAGE_STRING@,GRUB 0.95,;t t
4737c478bd9Sstevel@tonic-gates,@PACKAGE_BUGREPORT@,bug-grub@gnu.org,;t t
4747c478bd9Sstevel@tonic-gates,@exec_prefix@,${prefix},;t t
4757c478bd9Sstevel@tonic-gates,@prefix@,/platform/i86pc/boot/grub,;t t
4767c478bd9Sstevel@tonic-gates,@program_transform_name@,s,x,x,,;t t
4777c478bd9Sstevel@tonic-gates,@bindir@,${exec_prefix}/bin,;t t
4787c478bd9Sstevel@tonic-gates,@sbindir@,${exec_prefix}/sbin,;t t
4797c478bd9Sstevel@tonic-gates,@libexecdir@,${exec_prefix}/libexec,;t t
4807c478bd9Sstevel@tonic-gates,@datadir@,${prefix}/share,;t t
4817c478bd9Sstevel@tonic-gates,@sysconfdir@,${prefix}/etc,;t t
4827c478bd9Sstevel@tonic-gates,@sharedstatedir@,${prefix}/com,;t t
4837c478bd9Sstevel@tonic-gates,@localstatedir@,${prefix}/var,;t t
4847c478bd9Sstevel@tonic-gates,@libdir@,${exec_prefix}/lib,;t t
4857c478bd9Sstevel@tonic-gates,@includedir@,${prefix}/include,;t t
4867c478bd9Sstevel@tonic-gates,@oldincludedir@,/usr/include,;t t
4877c478bd9Sstevel@tonic-gates,@infodir@,${prefix}/info,;t t
4887c478bd9Sstevel@tonic-gates,@mandir@,${prefix}/man,;t t
4897c478bd9Sstevel@tonic-gates,@build_alias@,,;t t
4907c478bd9Sstevel@tonic-gates,@host_alias@,,;t t
4917c478bd9Sstevel@tonic-gates,@target_alias@,,;t t
4927c478bd9Sstevel@tonic-gates,@DEFS@,-DHAVE_CONFIG_H,;t t
4937c478bd9Sstevel@tonic-gates,@ECHO_C@,,;t t
4947c478bd9Sstevel@tonic-gates,@ECHO_N@,-n,;t t
4957c478bd9Sstevel@tonic-gates,@ECHO_T@,,;t t
4967c478bd9Sstevel@tonic-gates,@LIBS@,,;t t
4977c478bd9Sstevel@tonic-gates,@INSTALL_PROGRAM@,${INSTALL},;t t
4987c478bd9Sstevel@tonic-gates,@INSTALL_SCRIPT@,${INSTALL},;t t
4997c478bd9Sstevel@tonic-gates,@INSTALL_DATA@,${INSTALL} -m 644,;t t
5007c478bd9Sstevel@tonic-gates,@CYGPATH_W@,echo,;t t
5017c478bd9Sstevel@tonic-gates,@PACKAGE@,grub,;t t
5027c478bd9Sstevel@tonic-gates,@VERSION@,0.95,;t t
5037c478bd9Sstevel@tonic-gates,@ACLOCAL@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run aclocal-1.8,;t t
5047c478bd9Sstevel@tonic-gates,@AUTOCONF@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run autoconf,;t t
5057c478bd9Sstevel@tonic-gates,@AUTOMAKE@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run automake-1.8,;t t
5067c478bd9Sstevel@tonic-gates,@AUTOHEADER@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run autoheader,;t t
5077c478bd9Sstevel@tonic-gates,@MAKEINFO@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run makeinfo,;t t
5087c478bd9Sstevel@tonic-gates,@AMTAR@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run tar,;t t
5097c478bd9Sstevel@tonic-gates,@install_sh@,/net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/install-sh,;t t
5107c478bd9Sstevel@tonic-gates,@STRIP@,,;t t
5117c478bd9Sstevel@tonic-gates,@ac_ct_STRIP@,,;t t
5127c478bd9Sstevel@tonic-gates,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
5137c478bd9Sstevel@tonic-gates,@mkdir_p@,mkdir -p -- .,;t t
5147c478bd9Sstevel@tonic-gates,@AWK@,gawk,;t t
5157c478bd9Sstevel@tonic-gates,@SET_MAKE@,,;t t
5167c478bd9Sstevel@tonic-gates,@am__leading_dot@,.,;t t
5177c478bd9Sstevel@tonic-gates,@build@,i386-pc-solaris2.10,;t t
5187c478bd9Sstevel@tonic-gates,@build_cpu@,i386,;t t
5197c478bd9Sstevel@tonic-gates,@build_vendor@,pc,;t t
5207c478bd9Sstevel@tonic-gates,@build_os@,solaris2.10,;t t
5217c478bd9Sstevel@tonic-gates,@host@,i386-pc-solaris2.10,;t t
5227c478bd9Sstevel@tonic-gates,@host_cpu@,i386,;t t
5237c478bd9Sstevel@tonic-gates,@host_vendor@,pc,;t t
5247c478bd9Sstevel@tonic-gates,@host_os@,solaris2.10,;t t
5257c478bd9Sstevel@tonic-gates,@MAINTAINER_MODE_TRUE@,#,;t t
5267c478bd9Sstevel@tonic-gates,@MAINTAINER_MODE_FALSE@,,;t t
5277c478bd9Sstevel@tonic-gates,@MAINT@,#,;t t
5287c478bd9Sstevel@tonic-gates,@PERL@,,;t t
5297c478bd9Sstevel@tonic-gates,@CC@,/opt/grubbld/bin/gcc,;t t
5307c478bd9Sstevel@tonic-gates,@ac_ct_CC@,/opt/grubbld/bin/gcc,;t t
5317c478bd9Sstevel@tonic-gates,@CFLAGS@,-B/opt/grubbld/bin/   -g,;t t
5327c478bd9Sstevel@tonic-gates,@LDFLAGS@,,;t t
5337c478bd9Sstevel@tonic-gates,@CPPFLAGS@, -Wall -Wmissing-prototypes -Wunused -Wshadow -Wpointer-arith -falign-jumps=1 -falign-loops=1 -falign-functions=1 -Wundef,;t t
5347c478bd9Sstevel@tonic-gates,@EXEEXT@,,;t t
5357c478bd9Sstevel@tonic-gates,@OBJEXT@,o,;t t
5367c478bd9Sstevel@tonic-gates,@DEPDIR@,.deps,;t t
5377c478bd9Sstevel@tonic-gates,@am__include@,include,;t t
5387c478bd9Sstevel@tonic-gates,@am__quote@,,;t t
5397c478bd9Sstevel@tonic-gates,@AMDEP_TRUE@,#,;t t
5407c478bd9Sstevel@tonic-gates,@AMDEP_FALSE@,,;t t
5417c478bd9Sstevel@tonic-gates,@AMDEPBACKSLASH@,,;t t
5427c478bd9Sstevel@tonic-gates,@CCDEPMODE@,depmode=none,;t t
5437c478bd9Sstevel@tonic-gates,@am__fastdepCC_TRUE@,#,;t t
5447c478bd9Sstevel@tonic-gates,@am__fastdepCC_FALSE@,,;t t
5457c478bd9Sstevel@tonic-gates,@CCAS@,/opt/grubbld/bin/gcc,;t t
5467c478bd9Sstevel@tonic-gates,@RANLIB@,/opt/grubbld/bin/ranlib,;t t
5477c478bd9Sstevel@tonic-gates,@ac_ct_RANLIB@,,;t t
5487c478bd9Sstevel@tonic-gates,@STAGE1_CFLAGS@,-O2,;t t
5497c478bd9Sstevel@tonic-gates,@STAGE2_CFLAGS@,-Os,;t t
5507c478bd9Sstevel@tonic-gates,@GRUB_CFLAGS@,-O2,;t t
5517c478bd9Sstevel@tonic-gates,@OBJCOPY@,/opt/grubbld/bin/objcopy,;t t
5527c478bd9Sstevel@tonic-gates,@ac_ct_OBJCOPY@,,;t t
5537c478bd9Sstevel@tonic-gates,@GRUB_LIBS@, -lcurses,;t t
5547c478bd9Sstevel@tonic-gates,@CPP@,/opt/grubbld/bin/gcc -E,;t t
5557c478bd9Sstevel@tonic-gates,@EGREP@,egrep,;t t
5567c478bd9Sstevel@tonic-gates,@NETBOOT_SUPPORT_TRUE@,#,;t t
5577c478bd9Sstevel@tonic-gates,@NETBOOT_SUPPORT_FALSE@,,;t t
5587c478bd9Sstevel@tonic-gates,@DISKLESS_SUPPORT_TRUE@,#,;t t
5597c478bd9Sstevel@tonic-gates,@DISKLESS_SUPPORT_FALSE@,,;t t
5607c478bd9Sstevel@tonic-gates,@GRAPHICS_SUPPORT_TRUE@,,;t t
5617c478bd9Sstevel@tonic-gates,@GRAPHICS_SUPPORT_FALSE@,#,;t t
5627c478bd9Sstevel@tonic-gates,@HERCULES_SUPPORT_TRUE@,,;t t
5637c478bd9Sstevel@tonic-gates,@HERCULES_SUPPORT_FALSE@,#,;t t
5647c478bd9Sstevel@tonic-gates,@SERIAL_SUPPORT_TRUE@,,;t t
5657c478bd9Sstevel@tonic-gates,@SERIAL_SUPPORT_FALSE@,#,;t t
5667c478bd9Sstevel@tonic-gates,@SERIAL_SPEED_SIMULATION_TRUE@,#,;t t
5677c478bd9Sstevel@tonic-gates,@SERIAL_SPEED_SIMULATION_FALSE@,,;t t
5687c478bd9Sstevel@tonic-gates,@BUILD_EXAMPLE_KERNEL_TRUE@,#,;t t
5697c478bd9Sstevel@tonic-gates,@BUILD_EXAMPLE_KERNEL_FALSE@,,;t t
5707c478bd9Sstevel@tonic-gates,@FSYS_CFLAGS@, -DFSYS_EXT2FS=1 -DFSYS_FAT=1 -DFSYS_FFS=1 -DFSYS_UFS=1 -DFSYS_UFS2=1 -DFSYS_MINIX=1 -DFSYS_REISERFS=1 -DFSYS_VSTAFS=1 -DFSYS_JFS=1 -DFSYS_XFS=1 -DFSYS_ISO9660=1 -DUSE_MD5_PASSWORDS=1,;t t
5717c478bd9Sstevel@tonic-gates,@NET_CFLAGS@,,;t t
5727c478bd9Sstevel@tonic-gates,@NET_EXTRAFLAGS@, -DCONGESTED=1 -DNE_SCAN=0x280,0x300,0x320,0x340 -DWD_DEFAULT_MEM=0xCC000,;t t
5737c478bd9Sstevel@tonic-gates,@NETBOOT_DRIVERS@,,;t t
5747c478bd9Sstevel@tonic-gates,@CCASFLAGS@,$(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(CPPFLAGS) $(CFLAGS),;t t
5757c478bd9Sstevel@tonic-gates,@LIBOBJS@,,;t t
5767c478bd9Sstevel@tonic-gates,@LTLIBOBJS@,,;t t
5777c478bd9Sstevel@tonic-gateCEOF
5787c478bd9Sstevel@tonic-gate
5797c478bd9Sstevel@tonic-gate  # Split the substitutions into bite-sized pieces for seds with
5807c478bd9Sstevel@tonic-gate  # small command number limits, like on Digital OSF/1 and HP-UX.
5817c478bd9Sstevel@tonic-gate  ac_max_sed_lines=48
5827c478bd9Sstevel@tonic-gate  ac_sed_frag=1 # Number of current file.
5837c478bd9Sstevel@tonic-gate  ac_beg=1 # First line for current file.
5847c478bd9Sstevel@tonic-gate  ac_end=$ac_max_sed_lines # Line after last line for current file.
5857c478bd9Sstevel@tonic-gate  ac_more_lines=:
5867c478bd9Sstevel@tonic-gate  ac_sed_cmds=
5877c478bd9Sstevel@tonic-gate  while $ac_more_lines; do
5887c478bd9Sstevel@tonic-gate    if test $ac_beg -gt 1; then
5897c478bd9Sstevel@tonic-gate      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
5907c478bd9Sstevel@tonic-gate    else
5917c478bd9Sstevel@tonic-gate      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
5927c478bd9Sstevel@tonic-gate    fi
5937c478bd9Sstevel@tonic-gate    if test ! -s $tmp/subs.frag; then
5947c478bd9Sstevel@tonic-gate      ac_more_lines=false
5957c478bd9Sstevel@tonic-gate    else
5967c478bd9Sstevel@tonic-gate      # The purpose of the label and of the branching condition is to
5977c478bd9Sstevel@tonic-gate      # speed up the sed processing (if there are no `@' at all, there
5987c478bd9Sstevel@tonic-gate      # is no need to browse any of the substitutions).
5997c478bd9Sstevel@tonic-gate      # These are the two extra sed commands mentioned above.
6007c478bd9Sstevel@tonic-gate      (echo ':t
6017c478bd9Sstevel@tonic-gate  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
6027c478bd9Sstevel@tonic-gate      if test -z "$ac_sed_cmds"; then
6037c478bd9Sstevel@tonic-gate	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
6047c478bd9Sstevel@tonic-gate      else
6057c478bd9Sstevel@tonic-gate	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
6067c478bd9Sstevel@tonic-gate      fi
6077c478bd9Sstevel@tonic-gate      ac_sed_frag=`expr $ac_sed_frag + 1`
6087c478bd9Sstevel@tonic-gate      ac_beg=$ac_end
6097c478bd9Sstevel@tonic-gate      ac_end=`expr $ac_end + $ac_max_sed_lines`
6107c478bd9Sstevel@tonic-gate    fi
6117c478bd9Sstevel@tonic-gate  done
6127c478bd9Sstevel@tonic-gate  if test -z "$ac_sed_cmds"; then
6137c478bd9Sstevel@tonic-gate    ac_sed_cmds=cat
6147c478bd9Sstevel@tonic-gate  fi
6157c478bd9Sstevel@tonic-gatefi # test -n "$CONFIG_FILES"
6167c478bd9Sstevel@tonic-gate
6177c478bd9Sstevel@tonic-gatefor ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
6187c478bd9Sstevel@tonic-gate  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
6197c478bd9Sstevel@tonic-gate  case $ac_file in
6207c478bd9Sstevel@tonic-gate  - | *:- | *:-:* ) # input from stdin
6217c478bd9Sstevel@tonic-gate	cat >$tmp/stdin
6227c478bd9Sstevel@tonic-gate	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
6237c478bd9Sstevel@tonic-gate	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
6247c478bd9Sstevel@tonic-gate  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
6257c478bd9Sstevel@tonic-gate	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
6267c478bd9Sstevel@tonic-gate  * )   ac_file_in=$ac_file.in ;;
6277c478bd9Sstevel@tonic-gate  esac
6287c478bd9Sstevel@tonic-gate
6297c478bd9Sstevel@tonic-gate  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
6307c478bd9Sstevel@tonic-gate  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
6317c478bd9Sstevel@tonic-gate$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
6327c478bd9Sstevel@tonic-gate	 X"$ac_file" : 'X\(//\)[^/]' \| \
6337c478bd9Sstevel@tonic-gate	 X"$ac_file" : 'X\(//\)$' \| \
6347c478bd9Sstevel@tonic-gate	 X"$ac_file" : 'X\(/\)' \| \
6357c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
6367c478bd9Sstevel@tonic-gateecho X"$ac_file" |
6377c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
6387c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
6397c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
6407c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
6417c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
6427c478bd9Sstevel@tonic-gate  { if $as_mkdir_p; then
6437c478bd9Sstevel@tonic-gate    mkdir -p "$ac_dir"
6447c478bd9Sstevel@tonic-gate  else
6457c478bd9Sstevel@tonic-gate    as_dir="$ac_dir"
6467c478bd9Sstevel@tonic-gate    as_dirs=
6477c478bd9Sstevel@tonic-gate    while test ! -d "$as_dir"; do
6487c478bd9Sstevel@tonic-gate      as_dirs="$as_dir $as_dirs"
6497c478bd9Sstevel@tonic-gate      as_dir=`(dirname "$as_dir") 2>/dev/null ||
6507c478bd9Sstevel@tonic-gate$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
6517c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(//\)[^/]' \| \
6527c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(//\)$' \| \
6537c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(/\)' \| \
6547c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
6557c478bd9Sstevel@tonic-gateecho X"$as_dir" |
6567c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
6577c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
6587c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
6597c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
6607c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
6617c478bd9Sstevel@tonic-gate    done
6627c478bd9Sstevel@tonic-gate    test ! -n "$as_dirs" || mkdir $as_dirs
6637c478bd9Sstevel@tonic-gate  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
6647c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
6657c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }; }
6667c478bd9Sstevel@tonic-gate
6677c478bd9Sstevel@tonic-gate  ac_builddir=.
6687c478bd9Sstevel@tonic-gate
6697c478bd9Sstevel@tonic-gateif test "$ac_dir" != .; then
6707c478bd9Sstevel@tonic-gate  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
6717c478bd9Sstevel@tonic-gate  # A "../" for each directory in $ac_dir_suffix.
6727c478bd9Sstevel@tonic-gate  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
6737c478bd9Sstevel@tonic-gateelse
6747c478bd9Sstevel@tonic-gate  ac_dir_suffix= ac_top_builddir=
6757c478bd9Sstevel@tonic-gatefi
6767c478bd9Sstevel@tonic-gate
6777c478bd9Sstevel@tonic-gatecase $srcdir in
6787c478bd9Sstevel@tonic-gate  .)  # No --srcdir option.  We are building in place.
6797c478bd9Sstevel@tonic-gate    ac_srcdir=.
6807c478bd9Sstevel@tonic-gate    if test -z "$ac_top_builddir"; then
6817c478bd9Sstevel@tonic-gate       ac_top_srcdir=.
6827c478bd9Sstevel@tonic-gate    else
6837c478bd9Sstevel@tonic-gate       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
6847c478bd9Sstevel@tonic-gate    fi ;;
6857c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* )  # Absolute path.
6867c478bd9Sstevel@tonic-gate    ac_srcdir=$srcdir$ac_dir_suffix;
6877c478bd9Sstevel@tonic-gate    ac_top_srcdir=$srcdir ;;
6887c478bd9Sstevel@tonic-gate  *) # Relative path.
6897c478bd9Sstevel@tonic-gate    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
6907c478bd9Sstevel@tonic-gate    ac_top_srcdir=$ac_top_builddir$srcdir ;;
6917c478bd9Sstevel@tonic-gateesac
6927c478bd9Sstevel@tonic-gate
6937c478bd9Sstevel@tonic-gate# Do not use `cd foo && pwd` to compute absolute paths, because
6947c478bd9Sstevel@tonic-gate# the directories may not exist.
6957c478bd9Sstevel@tonic-gatecase `pwd` in
6967c478bd9Sstevel@tonic-gate.) ac_abs_builddir="$ac_dir";;
6977c478bd9Sstevel@tonic-gate*)
6987c478bd9Sstevel@tonic-gate  case "$ac_dir" in
6997c478bd9Sstevel@tonic-gate  .) ac_abs_builddir=`pwd`;;
7007c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
7017c478bd9Sstevel@tonic-gate  *) ac_abs_builddir=`pwd`/"$ac_dir";;
7027c478bd9Sstevel@tonic-gate  esac;;
7037c478bd9Sstevel@tonic-gateesac
7047c478bd9Sstevel@tonic-gatecase $ac_abs_builddir in
7057c478bd9Sstevel@tonic-gate.) ac_abs_top_builddir=${ac_top_builddir}.;;
7067c478bd9Sstevel@tonic-gate*)
7077c478bd9Sstevel@tonic-gate  case ${ac_top_builddir}. in
7087c478bd9Sstevel@tonic-gate  .) ac_abs_top_builddir=$ac_abs_builddir;;
7097c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
7107c478bd9Sstevel@tonic-gate  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
7117c478bd9Sstevel@tonic-gate  esac;;
7127c478bd9Sstevel@tonic-gateesac
7137c478bd9Sstevel@tonic-gatecase $ac_abs_builddir in
7147c478bd9Sstevel@tonic-gate.) ac_abs_srcdir=$ac_srcdir;;
7157c478bd9Sstevel@tonic-gate*)
7167c478bd9Sstevel@tonic-gate  case $ac_srcdir in
7177c478bd9Sstevel@tonic-gate  .) ac_abs_srcdir=$ac_abs_builddir;;
7187c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
7197c478bd9Sstevel@tonic-gate  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
7207c478bd9Sstevel@tonic-gate  esac;;
7217c478bd9Sstevel@tonic-gateesac
7227c478bd9Sstevel@tonic-gatecase $ac_abs_builddir in
7237c478bd9Sstevel@tonic-gate.) ac_abs_top_srcdir=$ac_top_srcdir;;
7247c478bd9Sstevel@tonic-gate*)
7257c478bd9Sstevel@tonic-gate  case $ac_top_srcdir in
7267c478bd9Sstevel@tonic-gate  .) ac_abs_top_srcdir=$ac_abs_builddir;;
7277c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
7287c478bd9Sstevel@tonic-gate  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
7297c478bd9Sstevel@tonic-gate  esac;;
7307c478bd9Sstevel@tonic-gateesac
7317c478bd9Sstevel@tonic-gate
7327c478bd9Sstevel@tonic-gate
7337c478bd9Sstevel@tonic-gate  case $INSTALL in
7347c478bd9Sstevel@tonic-gate  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
7357c478bd9Sstevel@tonic-gate  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
7367c478bd9Sstevel@tonic-gate  esac
7377c478bd9Sstevel@tonic-gate
7387c478bd9Sstevel@tonic-gate  if test x"$ac_file" != x-; then
7397c478bd9Sstevel@tonic-gate    { echo "$as_me:$LINENO: creating $ac_file" >&5
7407c478bd9Sstevel@tonic-gateecho "$as_me: creating $ac_file" >&6;}
7417c478bd9Sstevel@tonic-gate    rm -f "$ac_file"
7427c478bd9Sstevel@tonic-gate  fi
7437c478bd9Sstevel@tonic-gate  # Let's still pretend it is `configure' which instantiates (i.e., don't
7447c478bd9Sstevel@tonic-gate  # use $as_me), people would be surprised to read:
7457c478bd9Sstevel@tonic-gate  #    /* config.h.  Generated by config.status.  */
7467c478bd9Sstevel@tonic-gate  if test x"$ac_file" = x-; then
7477c478bd9Sstevel@tonic-gate    configure_input=
7487c478bd9Sstevel@tonic-gate  else
7497c478bd9Sstevel@tonic-gate    configure_input="$ac_file.  "
7507c478bd9Sstevel@tonic-gate  fi
7517c478bd9Sstevel@tonic-gate  configure_input=$configure_input"Generated from `echo $ac_file_in |
7527c478bd9Sstevel@tonic-gate				     sed 's,.*/,,'` by configure."
7537c478bd9Sstevel@tonic-gate
7547c478bd9Sstevel@tonic-gate  # First look for the input files in the build tree, otherwise in the
7557c478bd9Sstevel@tonic-gate  # src tree.
7567c478bd9Sstevel@tonic-gate  ac_file_inputs=`IFS=:
7577c478bd9Sstevel@tonic-gate    for f in $ac_file_in; do
7587c478bd9Sstevel@tonic-gate      case $f in
7597c478bd9Sstevel@tonic-gate      -) echo $tmp/stdin ;;
7607c478bd9Sstevel@tonic-gate      [\\/$]*)
7617c478bd9Sstevel@tonic-gate	 # Absolute (can't be DOS-style, as IFS=:)
7627c478bd9Sstevel@tonic-gate	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
7637c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot find input file: $f" >&2;}
7647c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }
7657c478bd9Sstevel@tonic-gate	 echo "$f";;
7667c478bd9Sstevel@tonic-gate      *) # Relative
7677c478bd9Sstevel@tonic-gate	 if test -f "$f"; then
7687c478bd9Sstevel@tonic-gate	   # Build tree
7697c478bd9Sstevel@tonic-gate	   echo "$f"
7707c478bd9Sstevel@tonic-gate	 elif test -f "$srcdir/$f"; then
7717c478bd9Sstevel@tonic-gate	   # Source tree
7727c478bd9Sstevel@tonic-gate	   echo "$srcdir/$f"
7737c478bd9Sstevel@tonic-gate	 else
7747c478bd9Sstevel@tonic-gate	   # /dev/null tree
7757c478bd9Sstevel@tonic-gate	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
7767c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot find input file: $f" >&2;}
7777c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }
7787c478bd9Sstevel@tonic-gate	 fi;;
7797c478bd9Sstevel@tonic-gate      esac
7807c478bd9Sstevel@tonic-gate    done` || { (exit 1); exit 1; }
7817c478bd9Sstevel@tonic-gate  sed "/^[	 ]*VPATH[	 ]*=/{
7827c478bd9Sstevel@tonic-gates/:*\$(srcdir):*/:/;
7837c478bd9Sstevel@tonic-gates/:*\${srcdir}:*/:/;
7847c478bd9Sstevel@tonic-gates/:*@srcdir@:*/:/;
7857c478bd9Sstevel@tonic-gates/^\([^=]*=[	 ]*\):*/\1/;
7867c478bd9Sstevel@tonic-gates/:*$//;
7877c478bd9Sstevel@tonic-gates/^[^=]*=[	 ]*$//;
7887c478bd9Sstevel@tonic-gate}
7897c478bd9Sstevel@tonic-gate
7907c478bd9Sstevel@tonic-gate:t
7917c478bd9Sstevel@tonic-gate/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
7927c478bd9Sstevel@tonic-gates,@configure_input@,$configure_input,;t t
7937c478bd9Sstevel@tonic-gates,@srcdir@,$ac_srcdir,;t t
7947c478bd9Sstevel@tonic-gates,@abs_srcdir@,$ac_abs_srcdir,;t t
7957c478bd9Sstevel@tonic-gates,@top_srcdir@,$ac_top_srcdir,;t t
7967c478bd9Sstevel@tonic-gates,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
7977c478bd9Sstevel@tonic-gates,@builddir@,$ac_builddir,;t t
7987c478bd9Sstevel@tonic-gates,@abs_builddir@,$ac_abs_builddir,;t t
7997c478bd9Sstevel@tonic-gates,@top_builddir@,$ac_top_builddir,;t t
8007c478bd9Sstevel@tonic-gates,@abs_top_builddir@,$ac_abs_top_builddir,;t t
8017c478bd9Sstevel@tonic-gates,@INSTALL@,$ac_INSTALL,;t t
8027c478bd9Sstevel@tonic-gate" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
8037c478bd9Sstevel@tonic-gate  rm -f $tmp/stdin
8047c478bd9Sstevel@tonic-gate  if test x"$ac_file" != x-; then
8057c478bd9Sstevel@tonic-gate    mv $tmp/out $ac_file
8067c478bd9Sstevel@tonic-gate  else
8077c478bd9Sstevel@tonic-gate    cat $tmp/out
8087c478bd9Sstevel@tonic-gate    rm -f $tmp/out
8097c478bd9Sstevel@tonic-gate  fi
8107c478bd9Sstevel@tonic-gate
8117c478bd9Sstevel@tonic-gatedone
8127c478bd9Sstevel@tonic-gate
8137c478bd9Sstevel@tonic-gate#
8147c478bd9Sstevel@tonic-gate# CONFIG_HEADER section.
8157c478bd9Sstevel@tonic-gate#
8167c478bd9Sstevel@tonic-gate
8177c478bd9Sstevel@tonic-gate# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
8187c478bd9Sstevel@tonic-gate# NAME is the cpp macro being defined and VALUE is the value it is being given.
8197c478bd9Sstevel@tonic-gate#
8207c478bd9Sstevel@tonic-gate# ac_d sets the value in "#define NAME VALUE" lines.
8217c478bd9Sstevel@tonic-gateac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
8227c478bd9Sstevel@tonic-gateac_dB='[	 ].*$,\1#\2'
8237c478bd9Sstevel@tonic-gateac_dC=' '
8247c478bd9Sstevel@tonic-gateac_dD=',;t'
8257c478bd9Sstevel@tonic-gate# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
8267c478bd9Sstevel@tonic-gateac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
8277c478bd9Sstevel@tonic-gateac_uB='$,\1#\2define\3'
8287c478bd9Sstevel@tonic-gateac_uC=' '
8297c478bd9Sstevel@tonic-gateac_uD=',;t'
8307c478bd9Sstevel@tonic-gate
8317c478bd9Sstevel@tonic-gatefor ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
8327c478bd9Sstevel@tonic-gate  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
8337c478bd9Sstevel@tonic-gate  case $ac_file in
8347c478bd9Sstevel@tonic-gate  - | *:- | *:-:* ) # input from stdin
8357c478bd9Sstevel@tonic-gate	cat >$tmp/stdin
8367c478bd9Sstevel@tonic-gate	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
8377c478bd9Sstevel@tonic-gate	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
8387c478bd9Sstevel@tonic-gate  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
8397c478bd9Sstevel@tonic-gate	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
8407c478bd9Sstevel@tonic-gate  * )   ac_file_in=$ac_file.in ;;
8417c478bd9Sstevel@tonic-gate  esac
8427c478bd9Sstevel@tonic-gate
8437c478bd9Sstevel@tonic-gate  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
8447c478bd9Sstevel@tonic-gateecho "$as_me: creating $ac_file" >&6;}
8457c478bd9Sstevel@tonic-gate
8467c478bd9Sstevel@tonic-gate  # First look for the input files in the build tree, otherwise in the
8477c478bd9Sstevel@tonic-gate  # src tree.
8487c478bd9Sstevel@tonic-gate  ac_file_inputs=`IFS=:
8497c478bd9Sstevel@tonic-gate    for f in $ac_file_in; do
8507c478bd9Sstevel@tonic-gate      case $f in
8517c478bd9Sstevel@tonic-gate      -) echo $tmp/stdin ;;
8527c478bd9Sstevel@tonic-gate      [\\/$]*)
8537c478bd9Sstevel@tonic-gate	 # Absolute (can't be DOS-style, as IFS=:)
8547c478bd9Sstevel@tonic-gate	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
8557c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot find input file: $f" >&2;}
8567c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }
8577c478bd9Sstevel@tonic-gate	 # Do quote $f, to prevent DOS paths from being IFS'd.
8587c478bd9Sstevel@tonic-gate	 echo "$f";;
8597c478bd9Sstevel@tonic-gate      *) # Relative
8607c478bd9Sstevel@tonic-gate	 if test -f "$f"; then
8617c478bd9Sstevel@tonic-gate	   # Build tree
8627c478bd9Sstevel@tonic-gate	   echo "$f"
8637c478bd9Sstevel@tonic-gate	 elif test -f "$srcdir/$f"; then
8647c478bd9Sstevel@tonic-gate	   # Source tree
8657c478bd9Sstevel@tonic-gate	   echo "$srcdir/$f"
8667c478bd9Sstevel@tonic-gate	 else
8677c478bd9Sstevel@tonic-gate	   # /dev/null tree
8687c478bd9Sstevel@tonic-gate	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
8697c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot find input file: $f" >&2;}
8707c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }
8717c478bd9Sstevel@tonic-gate	 fi;;
8727c478bd9Sstevel@tonic-gate      esac
8737c478bd9Sstevel@tonic-gate    done` || { (exit 1); exit 1; }
8747c478bd9Sstevel@tonic-gate  # Remove the trailing spaces.
8757c478bd9Sstevel@tonic-gate  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
8767c478bd9Sstevel@tonic-gate
8777c478bd9Sstevel@tonic-gate  # Handle all the #define templates only if necessary.
8787c478bd9Sstevel@tonic-gate  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
8797c478bd9Sstevel@tonic-gate  # If there are no defines, we may have an empty if/fi
8807c478bd9Sstevel@tonic-gate  :
8817c478bd9Sstevel@tonic-gate  cat >$tmp/defines.sed <<CEOF
8827c478bd9Sstevel@tonic-gate/^[	 ]*#[	 ]*define/!b
8837c478bd9Sstevel@tonic-gatet clr
8847c478bd9Sstevel@tonic-gate: clr
8857c478bd9Sstevel@tonic-gate${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"GRUB"${ac_dD}
8867c478bd9Sstevel@tonic-gate${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"grub"${ac_dD}
8877c478bd9Sstevel@tonic-gate${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"0.95"${ac_dD}
8887c478bd9Sstevel@tonic-gate${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"GRUB 0.95"${ac_dD}
8897c478bd9Sstevel@tonic-gate${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"bug-grub@gnu.org"${ac_dD}
8907c478bd9Sstevel@tonic-gate${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"grub"${ac_dD}
8917c478bd9Sstevel@tonic-gate${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.95"${ac_dD}
8927c478bd9Sstevel@tonic-gate${ac_dA}ADDR32${ac_dB}ADDR32${ac_dC}addr32${ac_dD}
8937c478bd9Sstevel@tonic-gate${ac_dA}DATA32${ac_dB}DATA32${ac_dC}data32${ac_dD}
8947c478bd9Sstevel@tonic-gate${ac_dA}HAVE_USCORE_START_SYMBOL${ac_dB}HAVE_USCORE_START_SYMBOL${ac_dC}1${ac_dD}
8957c478bd9Sstevel@tonic-gate${ac_dA}HAVE_USCORE_USCORE_BSS_START_SYMBOL${ac_dB}HAVE_USCORE_USCORE_BSS_START_SYMBOL${ac_dC}1${ac_dD}
8967c478bd9Sstevel@tonic-gate${ac_dA}HAVE_USCORE_EDATA_SYMBOL${ac_dB}HAVE_USCORE_EDATA_SYMBOL${ac_dC}1${ac_dD}
8977c478bd9Sstevel@tonic-gate${ac_dA}HAVE_EDATA_SYMBOL${ac_dB}HAVE_EDATA_SYMBOL${ac_dC}1${ac_dD}
8987c478bd9Sstevel@tonic-gate${ac_dA}HAVE_END_SYMBOL${ac_dB}HAVE_END_SYMBOL${ac_dC}1${ac_dD}
8997c478bd9Sstevel@tonic-gate${ac_dA}HAVE_USCORE_END_SYMBOL${ac_dB}HAVE_USCORE_END_SYMBOL${ac_dC}1${ac_dD}
9007c478bd9Sstevel@tonic-gate${ac_dA}HAVE_LIBCURSES${ac_dB}HAVE_LIBCURSES${ac_dC}1${ac_dD}
9017c478bd9Sstevel@tonic-gate${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
9027c478bd9Sstevel@tonic-gate${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
9037c478bd9Sstevel@tonic-gate${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
9047c478bd9Sstevel@tonic-gate${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
9057c478bd9Sstevel@tonic-gate${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
9067c478bd9Sstevel@tonic-gate${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
9077c478bd9Sstevel@tonic-gate${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
9087c478bd9Sstevel@tonic-gate${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
9097c478bd9Sstevel@tonic-gate${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
9107c478bd9Sstevel@tonic-gate${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
9117c478bd9Sstevel@tonic-gate${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
9127c478bd9Sstevel@tonic-gate${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
9137c478bd9Sstevel@tonic-gate${ac_dA}HAVE_CURSES_H${ac_dB}HAVE_CURSES_H${ac_dC}1${ac_dD}
9147c478bd9Sstevel@tonic-gate${ac_dA}AUTO_LINUX_MEM_OPT${ac_dB}AUTO_LINUX_MEM_OPT${ac_dC}1${ac_dD}
9157c478bd9Sstevel@tonic-gateCEOF
9167c478bd9Sstevel@tonic-gate  sed -f $tmp/defines.sed $tmp/in >$tmp/out
9177c478bd9Sstevel@tonic-gate  rm -f $tmp/in
9187c478bd9Sstevel@tonic-gate  mv $tmp/out $tmp/in
9197c478bd9Sstevel@tonic-gate
9207c478bd9Sstevel@tonic-gate  fi # grep
9217c478bd9Sstevel@tonic-gate
9227c478bd9Sstevel@tonic-gate  # Handle all the #undef templates
9237c478bd9Sstevel@tonic-gate  cat >$tmp/undefs.sed <<CEOF
9247c478bd9Sstevel@tonic-gate/^[	 ]*#[	 ]*undef/!b
9257c478bd9Sstevel@tonic-gatet clr
9267c478bd9Sstevel@tonic-gate: clr
9277c478bd9Sstevel@tonic-gate${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"GRUB"${ac_uD}
9287c478bd9Sstevel@tonic-gate${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"grub"${ac_uD}
9297c478bd9Sstevel@tonic-gate${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"0.95"${ac_uD}
9307c478bd9Sstevel@tonic-gate${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"GRUB 0.95"${ac_uD}
9317c478bd9Sstevel@tonic-gate${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"bug-grub@gnu.org"${ac_uD}
9327c478bd9Sstevel@tonic-gate${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"grub"${ac_uD}
9337c478bd9Sstevel@tonic-gate${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.95"${ac_uD}
9347c478bd9Sstevel@tonic-gate${ac_uA}ADDR32${ac_uB}ADDR32${ac_uC}addr32${ac_uD}
9357c478bd9Sstevel@tonic-gate${ac_uA}DATA32${ac_uB}DATA32${ac_uC}data32${ac_uD}
9367c478bd9Sstevel@tonic-gate${ac_uA}HAVE_USCORE_START_SYMBOL${ac_uB}HAVE_USCORE_START_SYMBOL${ac_uC}1${ac_uD}
9377c478bd9Sstevel@tonic-gate${ac_uA}HAVE_USCORE_USCORE_BSS_START_SYMBOL${ac_uB}HAVE_USCORE_USCORE_BSS_START_SYMBOL${ac_uC}1${ac_uD}
9387c478bd9Sstevel@tonic-gate${ac_uA}HAVE_USCORE_EDATA_SYMBOL${ac_uB}HAVE_USCORE_EDATA_SYMBOL${ac_uC}1${ac_uD}
9397c478bd9Sstevel@tonic-gate${ac_uA}HAVE_EDATA_SYMBOL${ac_uB}HAVE_EDATA_SYMBOL${ac_uC}1${ac_uD}
9407c478bd9Sstevel@tonic-gate${ac_uA}HAVE_END_SYMBOL${ac_uB}HAVE_END_SYMBOL${ac_uC}1${ac_uD}
9417c478bd9Sstevel@tonic-gate${ac_uA}HAVE_USCORE_END_SYMBOL${ac_uB}HAVE_USCORE_END_SYMBOL${ac_uC}1${ac_uD}
9427c478bd9Sstevel@tonic-gate${ac_uA}HAVE_LIBCURSES${ac_uB}HAVE_LIBCURSES${ac_uC}1${ac_uD}
9437c478bd9Sstevel@tonic-gate${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
9447c478bd9Sstevel@tonic-gate${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
9457c478bd9Sstevel@tonic-gate${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
9467c478bd9Sstevel@tonic-gate${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
9477c478bd9Sstevel@tonic-gate${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
9487c478bd9Sstevel@tonic-gate${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
9497c478bd9Sstevel@tonic-gate${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
9507c478bd9Sstevel@tonic-gate${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
9517c478bd9Sstevel@tonic-gate${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
9527c478bd9Sstevel@tonic-gate${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
9537c478bd9Sstevel@tonic-gate${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
9547c478bd9Sstevel@tonic-gate${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
9557c478bd9Sstevel@tonic-gate${ac_uA}HAVE_CURSES_H${ac_uB}HAVE_CURSES_H${ac_uC}1${ac_uD}
9567c478bd9Sstevel@tonic-gate${ac_uA}AUTO_LINUX_MEM_OPT${ac_uB}AUTO_LINUX_MEM_OPT${ac_uC}1${ac_uD}
9577c478bd9Sstevel@tonic-gates,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
9587c478bd9Sstevel@tonic-gateCEOF
9597c478bd9Sstevel@tonic-gate  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
9607c478bd9Sstevel@tonic-gate  rm -f $tmp/in
9617c478bd9Sstevel@tonic-gate  mv $tmp/out $tmp/in
9627c478bd9Sstevel@tonic-gate
9637c478bd9Sstevel@tonic-gate  # Let's still pretend it is `configure' which instantiates (i.e., don't
9647c478bd9Sstevel@tonic-gate  # use $as_me), people would be surprised to read:
9657c478bd9Sstevel@tonic-gate  #    /* config.h.  Generated by config.status.  */
9667c478bd9Sstevel@tonic-gate  if test x"$ac_file" = x-; then
9677c478bd9Sstevel@tonic-gate    echo "/* Generated by configure.  */" >$tmp/config.h
9687c478bd9Sstevel@tonic-gate  else
9697c478bd9Sstevel@tonic-gate    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
9707c478bd9Sstevel@tonic-gate  fi
9717c478bd9Sstevel@tonic-gate  cat $tmp/in >>$tmp/config.h
9727c478bd9Sstevel@tonic-gate  rm -f $tmp/in
9737c478bd9Sstevel@tonic-gate  if test x"$ac_file" != x-; then
9747c478bd9Sstevel@tonic-gate    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
9757c478bd9Sstevel@tonic-gate      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
9767c478bd9Sstevel@tonic-gateecho "$as_me: $ac_file is unchanged" >&6;}
9777c478bd9Sstevel@tonic-gate    else
9787c478bd9Sstevel@tonic-gate      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
9797c478bd9Sstevel@tonic-gate$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
9807c478bd9Sstevel@tonic-gate	 X"$ac_file" : 'X\(//\)[^/]' \| \
9817c478bd9Sstevel@tonic-gate	 X"$ac_file" : 'X\(//\)$' \| \
9827c478bd9Sstevel@tonic-gate	 X"$ac_file" : 'X\(/\)' \| \
9837c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
9847c478bd9Sstevel@tonic-gateecho X"$ac_file" |
9857c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
9867c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
9877c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
9887c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
9897c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
9907c478bd9Sstevel@tonic-gate      { if $as_mkdir_p; then
9917c478bd9Sstevel@tonic-gate    mkdir -p "$ac_dir"
9927c478bd9Sstevel@tonic-gate  else
9937c478bd9Sstevel@tonic-gate    as_dir="$ac_dir"
9947c478bd9Sstevel@tonic-gate    as_dirs=
9957c478bd9Sstevel@tonic-gate    while test ! -d "$as_dir"; do
9967c478bd9Sstevel@tonic-gate      as_dirs="$as_dir $as_dirs"
9977c478bd9Sstevel@tonic-gate      as_dir=`(dirname "$as_dir") 2>/dev/null ||
9987c478bd9Sstevel@tonic-gate$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
9997c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(//\)[^/]' \| \
10007c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(//\)$' \| \
10017c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(/\)' \| \
10027c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
10037c478bd9Sstevel@tonic-gateecho X"$as_dir" |
10047c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
10057c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
10067c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
10077c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
10087c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
10097c478bd9Sstevel@tonic-gate    done
10107c478bd9Sstevel@tonic-gate    test ! -n "$as_dirs" || mkdir $as_dirs
10117c478bd9Sstevel@tonic-gate  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
10127c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
10137c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }; }
10147c478bd9Sstevel@tonic-gate
10157c478bd9Sstevel@tonic-gate      rm -f $ac_file
10167c478bd9Sstevel@tonic-gate      mv $tmp/config.h $ac_file
10177c478bd9Sstevel@tonic-gate    fi
10187c478bd9Sstevel@tonic-gate  else
10197c478bd9Sstevel@tonic-gate    cat $tmp/config.h
10207c478bd9Sstevel@tonic-gate    rm -f $tmp/config.h
10217c478bd9Sstevel@tonic-gate  fi
10227c478bd9Sstevel@tonic-gate# Compute $ac_file's index in $config_headers.
10237c478bd9Sstevel@tonic-gate_am_stamp_count=1
10247c478bd9Sstevel@tonic-gatefor _am_header in $config_headers :; do
10257c478bd9Sstevel@tonic-gate  case $_am_header in
10267c478bd9Sstevel@tonic-gate    $ac_file | $ac_file:* )
10277c478bd9Sstevel@tonic-gate      break ;;
10287c478bd9Sstevel@tonic-gate    * )
10297c478bd9Sstevel@tonic-gate      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
10307c478bd9Sstevel@tonic-gate  esac
10317c478bd9Sstevel@tonic-gatedone
10327c478bd9Sstevel@tonic-gateecho "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
10337c478bd9Sstevel@tonic-gate$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
10347c478bd9Sstevel@tonic-gate	 X$ac_file : 'X\(//\)[^/]' \| \
10357c478bd9Sstevel@tonic-gate	 X$ac_file : 'X\(//\)$' \| \
10367c478bd9Sstevel@tonic-gate	 X$ac_file : 'X\(/\)' \| \
10377c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
10387c478bd9Sstevel@tonic-gateecho X$ac_file |
10397c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
10407c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
10417c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
10427c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
10437c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`/stamp-h$_am_stamp_count
10447c478bd9Sstevel@tonic-gatedone
10457c478bd9Sstevel@tonic-gate
10467c478bd9Sstevel@tonic-gate#
10477c478bd9Sstevel@tonic-gate# CONFIG_COMMANDS section.
10487c478bd9Sstevel@tonic-gate#
10497c478bd9Sstevel@tonic-gatefor ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
10507c478bd9Sstevel@tonic-gate  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
10517c478bd9Sstevel@tonic-gate  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
10527c478bd9Sstevel@tonic-gate  ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
10537c478bd9Sstevel@tonic-gate$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
10547c478bd9Sstevel@tonic-gate	 X"$ac_dest" : 'X\(//\)[^/]' \| \
10557c478bd9Sstevel@tonic-gate	 X"$ac_dest" : 'X\(//\)$' \| \
10567c478bd9Sstevel@tonic-gate	 X"$ac_dest" : 'X\(/\)' \| \
10577c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
10587c478bd9Sstevel@tonic-gateecho X"$ac_dest" |
10597c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
10607c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
10617c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
10627c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
10637c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
10647c478bd9Sstevel@tonic-gate  { if $as_mkdir_p; then
10657c478bd9Sstevel@tonic-gate    mkdir -p "$ac_dir"
10667c478bd9Sstevel@tonic-gate  else
10677c478bd9Sstevel@tonic-gate    as_dir="$ac_dir"
10687c478bd9Sstevel@tonic-gate    as_dirs=
10697c478bd9Sstevel@tonic-gate    while test ! -d "$as_dir"; do
10707c478bd9Sstevel@tonic-gate      as_dirs="$as_dir $as_dirs"
10717c478bd9Sstevel@tonic-gate      as_dir=`(dirname "$as_dir") 2>/dev/null ||
10727c478bd9Sstevel@tonic-gate$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
10737c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(//\)[^/]' \| \
10747c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(//\)$' \| \
10757c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(/\)' \| \
10767c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
10777c478bd9Sstevel@tonic-gateecho X"$as_dir" |
10787c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
10797c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
10807c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
10817c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
10827c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
10837c478bd9Sstevel@tonic-gate    done
10847c478bd9Sstevel@tonic-gate    test ! -n "$as_dirs" || mkdir $as_dirs
10857c478bd9Sstevel@tonic-gate  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
10867c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
10877c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }; }
10887c478bd9Sstevel@tonic-gate
10897c478bd9Sstevel@tonic-gate  ac_builddir=.
10907c478bd9Sstevel@tonic-gate
10917c478bd9Sstevel@tonic-gateif test "$ac_dir" != .; then
10927c478bd9Sstevel@tonic-gate  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
10937c478bd9Sstevel@tonic-gate  # A "../" for each directory in $ac_dir_suffix.
10947c478bd9Sstevel@tonic-gate  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
10957c478bd9Sstevel@tonic-gateelse
10967c478bd9Sstevel@tonic-gate  ac_dir_suffix= ac_top_builddir=
10977c478bd9Sstevel@tonic-gatefi
10987c478bd9Sstevel@tonic-gate
10997c478bd9Sstevel@tonic-gatecase $srcdir in
11007c478bd9Sstevel@tonic-gate  .)  # No --srcdir option.  We are building in place.
11017c478bd9Sstevel@tonic-gate    ac_srcdir=.
11027c478bd9Sstevel@tonic-gate    if test -z "$ac_top_builddir"; then
11037c478bd9Sstevel@tonic-gate       ac_top_srcdir=.
11047c478bd9Sstevel@tonic-gate    else
11057c478bd9Sstevel@tonic-gate       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
11067c478bd9Sstevel@tonic-gate    fi ;;
11077c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* )  # Absolute path.
11087c478bd9Sstevel@tonic-gate    ac_srcdir=$srcdir$ac_dir_suffix;
11097c478bd9Sstevel@tonic-gate    ac_top_srcdir=$srcdir ;;
11107c478bd9Sstevel@tonic-gate  *) # Relative path.
11117c478bd9Sstevel@tonic-gate    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
11127c478bd9Sstevel@tonic-gate    ac_top_srcdir=$ac_top_builddir$srcdir ;;
11137c478bd9Sstevel@tonic-gateesac
11147c478bd9Sstevel@tonic-gate
11157c478bd9Sstevel@tonic-gate# Do not use `cd foo && pwd` to compute absolute paths, because
11167c478bd9Sstevel@tonic-gate# the directories may not exist.
11177c478bd9Sstevel@tonic-gatecase `pwd` in
11187c478bd9Sstevel@tonic-gate.) ac_abs_builddir="$ac_dir";;
11197c478bd9Sstevel@tonic-gate*)
11207c478bd9Sstevel@tonic-gate  case "$ac_dir" in
11217c478bd9Sstevel@tonic-gate  .) ac_abs_builddir=`pwd`;;
11227c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
11237c478bd9Sstevel@tonic-gate  *) ac_abs_builddir=`pwd`/"$ac_dir";;
11247c478bd9Sstevel@tonic-gate  esac;;
11257c478bd9Sstevel@tonic-gateesac
11267c478bd9Sstevel@tonic-gatecase $ac_abs_builddir in
11277c478bd9Sstevel@tonic-gate.) ac_abs_top_builddir=${ac_top_builddir}.;;
11287c478bd9Sstevel@tonic-gate*)
11297c478bd9Sstevel@tonic-gate  case ${ac_top_builddir}. in
11307c478bd9Sstevel@tonic-gate  .) ac_abs_top_builddir=$ac_abs_builddir;;
11317c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
11327c478bd9Sstevel@tonic-gate  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
11337c478bd9Sstevel@tonic-gate  esac;;
11347c478bd9Sstevel@tonic-gateesac
11357c478bd9Sstevel@tonic-gatecase $ac_abs_builddir in
11367c478bd9Sstevel@tonic-gate.) ac_abs_srcdir=$ac_srcdir;;
11377c478bd9Sstevel@tonic-gate*)
11387c478bd9Sstevel@tonic-gate  case $ac_srcdir in
11397c478bd9Sstevel@tonic-gate  .) ac_abs_srcdir=$ac_abs_builddir;;
11407c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
11417c478bd9Sstevel@tonic-gate  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
11427c478bd9Sstevel@tonic-gate  esac;;
11437c478bd9Sstevel@tonic-gateesac
11447c478bd9Sstevel@tonic-gatecase $ac_abs_builddir in
11457c478bd9Sstevel@tonic-gate.) ac_abs_top_srcdir=$ac_top_srcdir;;
11467c478bd9Sstevel@tonic-gate*)
11477c478bd9Sstevel@tonic-gate  case $ac_top_srcdir in
11487c478bd9Sstevel@tonic-gate  .) ac_abs_top_srcdir=$ac_abs_builddir;;
11497c478bd9Sstevel@tonic-gate  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
11507c478bd9Sstevel@tonic-gate  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
11517c478bd9Sstevel@tonic-gate  esac;;
11527c478bd9Sstevel@tonic-gateesac
11537c478bd9Sstevel@tonic-gate
11547c478bd9Sstevel@tonic-gate
11557c478bd9Sstevel@tonic-gate  { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
11567c478bd9Sstevel@tonic-gateecho "$as_me: executing $ac_dest commands" >&6;}
11577c478bd9Sstevel@tonic-gate  case $ac_dest in
11587c478bd9Sstevel@tonic-gate    depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
11597c478bd9Sstevel@tonic-gate  # Strip MF so we end up with the name of the file.
11607c478bd9Sstevel@tonic-gate  mf=`echo "$mf" | sed -e 's/:.*$//'`
11617c478bd9Sstevel@tonic-gate  # Check whether this is an Automake generated Makefile or not.
11627c478bd9Sstevel@tonic-gate  # We used to match only the files named `Makefile.in', but
11637c478bd9Sstevel@tonic-gate  # some people rename them; so instead we look at the file content.
11647c478bd9Sstevel@tonic-gate  # Grep'ing the first line is not enough: some people post-process
11657c478bd9Sstevel@tonic-gate  # each Makefile.in and add a new line on top of each file to say so.
11667c478bd9Sstevel@tonic-gate  # So let's grep whole file.
11677c478bd9Sstevel@tonic-gate  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
11687c478bd9Sstevel@tonic-gate    dirpart=`(dirname "$mf") 2>/dev/null ||
11697c478bd9Sstevel@tonic-gate$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
11707c478bd9Sstevel@tonic-gate	 X"$mf" : 'X\(//\)[^/]' \| \
11717c478bd9Sstevel@tonic-gate	 X"$mf" : 'X\(//\)$' \| \
11727c478bd9Sstevel@tonic-gate	 X"$mf" : 'X\(/\)' \| \
11737c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
11747c478bd9Sstevel@tonic-gateecho X"$mf" |
11757c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
11767c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
11777c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
11787c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
11797c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
11807c478bd9Sstevel@tonic-gate  else
11817c478bd9Sstevel@tonic-gate    continue
11827c478bd9Sstevel@tonic-gate  fi
11837c478bd9Sstevel@tonic-gate  grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
11847c478bd9Sstevel@tonic-gate  # Extract the definition of DEP_FILES from the Makefile without
11857c478bd9Sstevel@tonic-gate  # running `make'.
11867c478bd9Sstevel@tonic-gate  DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
11877c478bd9Sstevel@tonic-gate  test -z "$DEPDIR" && continue
11887c478bd9Sstevel@tonic-gate  # When using ansi2knr, U may be empty or an underscore; expand it
11897c478bd9Sstevel@tonic-gate  U=`sed -n -e '/^U = / s///p' < "$mf"`
11907c478bd9Sstevel@tonic-gate  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
11917c478bd9Sstevel@tonic-gate  # We invoke sed twice because it is the simplest approach to
11927c478bd9Sstevel@tonic-gate  # changing $(DEPDIR) to its actual value in the expansion.
11937c478bd9Sstevel@tonic-gate  for file in `sed -n -e '
11947c478bd9Sstevel@tonic-gate    /^DEP_FILES = .*\\\\$/ {
11957c478bd9Sstevel@tonic-gate      s/^DEP_FILES = //
11967c478bd9Sstevel@tonic-gate      :loop
11977c478bd9Sstevel@tonic-gate	s/\\\\$//
11987c478bd9Sstevel@tonic-gate	p
11997c478bd9Sstevel@tonic-gate	n
12007c478bd9Sstevel@tonic-gate	/\\\\$/ b loop
12017c478bd9Sstevel@tonic-gate      p
12027c478bd9Sstevel@tonic-gate    }
12037c478bd9Sstevel@tonic-gate    /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
12047c478bd9Sstevel@tonic-gate       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
12057c478bd9Sstevel@tonic-gate    # Make sure the directory exists.
12067c478bd9Sstevel@tonic-gate    test -f "$dirpart/$file" && continue
12077c478bd9Sstevel@tonic-gate    fdir=`(dirname "$file") 2>/dev/null ||
12087c478bd9Sstevel@tonic-gate$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
12097c478bd9Sstevel@tonic-gate	 X"$file" : 'X\(//\)[^/]' \| \
12107c478bd9Sstevel@tonic-gate	 X"$file" : 'X\(//\)$' \| \
12117c478bd9Sstevel@tonic-gate	 X"$file" : 'X\(/\)' \| \
12127c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
12137c478bd9Sstevel@tonic-gateecho X"$file" |
12147c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
12157c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
12167c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
12177c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
12187c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
12197c478bd9Sstevel@tonic-gate    { if $as_mkdir_p; then
12207c478bd9Sstevel@tonic-gate    mkdir -p $dirpart/$fdir
12217c478bd9Sstevel@tonic-gate  else
12227c478bd9Sstevel@tonic-gate    as_dir=$dirpart/$fdir
12237c478bd9Sstevel@tonic-gate    as_dirs=
12247c478bd9Sstevel@tonic-gate    while test ! -d "$as_dir"; do
12257c478bd9Sstevel@tonic-gate      as_dirs="$as_dir $as_dirs"
12267c478bd9Sstevel@tonic-gate      as_dir=`(dirname "$as_dir") 2>/dev/null ||
12277c478bd9Sstevel@tonic-gate$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
12287c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(//\)[^/]' \| \
12297c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(//\)$' \| \
12307c478bd9Sstevel@tonic-gate	 X"$as_dir" : 'X\(/\)' \| \
12317c478bd9Sstevel@tonic-gate	 .     : '\(.\)' 2>/dev/null ||
12327c478bd9Sstevel@tonic-gateecho X"$as_dir" |
12337c478bd9Sstevel@tonic-gate    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
12347c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
12357c478bd9Sstevel@tonic-gate  	  /^X\(\/\/\)$/{ s//\1/; q; }
12367c478bd9Sstevel@tonic-gate  	  /^X\(\/\).*/{ s//\1/; q; }
12377c478bd9Sstevel@tonic-gate  	  s/.*/./; q'`
12387c478bd9Sstevel@tonic-gate    done
12397c478bd9Sstevel@tonic-gate    test ! -n "$as_dirs" || mkdir $as_dirs
12407c478bd9Sstevel@tonic-gate  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
12417c478bd9Sstevel@tonic-gateecho "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
12427c478bd9Sstevel@tonic-gate   { (exit 1); exit 1; }; }; }
12437c478bd9Sstevel@tonic-gate
12447c478bd9Sstevel@tonic-gate    # echo "creating $dirpart/$file"
12457c478bd9Sstevel@tonic-gate    echo '# dummy' > "$dirpart/$file"
12467c478bd9Sstevel@tonic-gate  done
12477c478bd9Sstevel@tonic-gatedone
12487c478bd9Sstevel@tonic-gate ;;
12497c478bd9Sstevel@tonic-gate  esac
12507c478bd9Sstevel@tonic-gatedone
12517c478bd9Sstevel@tonic-gate
12527c478bd9Sstevel@tonic-gate{ (exit 0); exit 0; }
1253